account arrowhead-down arrowhead-up mobile-menu search sm-bold-x x-skinny-rounded x-skinny arrowhead-right social-facebook social-googleplus social-instagram social-linkedin social-pinterest social-qzone social-renren social-tencent social-twitter social-vkontakt social-weibo social-youku social-youtube

Please help us improve our website

Take our customer survey to evaluate your visit.

It should only take a few minutes to answer five quick questions. Just click the Launch survey button at the end of your visit to begin.

cancel
Showing results for 
Search instead for 
Did you mean: 
Welcome to the Open Devices community!

This is where we discuss open source and development related questions on our Open Devices initiative.

I cannot flash my phone because "Device is no longer supported"

One time poster
Message 1 of 2
1,012 Views
Message 1 of 2

I cannot flash my phone because "Device is no longer supported"

Hello,

I've tried to install TWRP, but since I ran the command "fastboot flash boot twrp-dogo-3.2.3-0-dogo.img", my phone doesn't boot anymore, the screen remains black.

I want to repair it with Xperia Flash Tool but I see the message "Device is no longer supported".

It also shows the message "Please refer to update session a4ccac8b-1d2f-4737-90f5-a84cbfdf2eac if you need to contact Emma support."

What can I do to restore a valid boot image? My phone can still enter to fastboot mode and I can still flash the boot partition. The Xperia Companion also fails to repair it, it requires me to unlock my screen but it is black.

Best regards.

1 REPLY 1
Highlighted
Developer World
Message 2 of 2
875 Views
Message 2 of 2

Re: I cannot flash my phone because "Device is no longer supported"

Hi,

 

unfortunately the device is no longer supported by the official flashtool

Please try the community tool found on XDA

 

Regards

Alin